## org.apache.bcel.generic
Interface NamedAndTyped

All Known Implementing Classes:
  FieldGenOrMethodGen, LocalVariableGen

public interface NamedAndTyped

Denote entity that has both name and type. This is true for local variables, methods and fields.

Version:
  $Id: NamedAndTyped.java,v 1.1.1.1 2001/10/29 20:00:25 jvanzyl Exp $
Author:
  M. Dahm

Method Summary
`java.lang.String` `getName()`
`Type` `getType()`
`void` `setName(java.lang.String name)`
`void` `setType(Type type)`

Method Detail

### getName

    public java.lang.String getName()

### getType

    public Type getType()

### setName

    public void setName(java.lang.String name)

### setType

    public void setType(Type type)

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.